Subject: RE: bug#14376: 24.3; comment-search-forward in SQL-mode raises an error

From: "Drew Adams" <[email-masked]>
Date: Fri, 10 May 2013 13:55:22 -0700

> > Can't see it's docu mentioning such a need.
              ^^^^^^^^^
> 
> ;; Prior to calling any `comment-*' function, you should ensure that
> ;; `comment-normalize-vars' is first called to set up the appropriate
> ;; variables; except for the `comment-*' commands, which call
> ;; `comment-normalize-vars' automatically as a subroutine.

FWIW, a comment in the source code is hardly documentation for the functions
concerned.  Doc strings...

See also bug #12583...  This will probably keep coming up until there is some
mention of it in the actual doc.